
// ===============================================================
// CBP_3352_Helper1.h
// 24-01-21
//
// ===============================================================

#ifndef CBP_3352_HELPER1
#define CBP_3352_HELPER1

typedef struct { double x; double y; } LUT;


void cbp_sensors_init(int timeStep);
void cbp_motors_init();
bool delay(double delay);
void cbp_motors_set_velocity(double omegaL, double omegaR);
void cbp_get_distance_vals(double vals[]);
void cbp_get_lightsensor_vals(double vals[]);
double cbp_get_timeOfFlight_vals();

double lookUpDistance(LUT *c, double x);

#endif