
#include <stdio.h>

void writeOctaveHead(FILE* file) {
	
	fprintf(file,"A = [\n");
	
}

void writeDataToOctave(FILE* file, double time, double x, double y, double omegaL, double omegaR) {
	fprintf(file,"%f %f %f %f %f\n",time,x,y,omegaL,omegaR);

}

void writeOctaveTail(FILE* file) {
	fprintf(file,"];\n");
	fprintf(file,"time   = A(:,1);\n");
	fprintf(file,"x      = A(:,2);\n");	
	fprintf(file,"y      = A(:,3);\n");
	fprintf(file,"omegaL = A(:,4);\n");
	fprintf(file,"omegaR = A(:,5);\n");
	fprintf(file,"figure(1);\n");
	fprintf(file,"plot(x,y,'+');\n");
	fprintf(file,"ylabel('y');\n");
	fprintf(file,"xlabel('x');\n");
	fprintf(file,"figure(2);\n");	
	fprintf(file,"plot(time,omegaL,time,omegaR);\n");	
	fprintf(file,"ylabel('omegaL (blue), omegaR (red)');\n");
	fprintf(file,"xlabel('time');\n");	
}