
#include <stdio.h>

void writeOctaveHead(FILE* file) {
	
	fprintf(file,"A = [\n");
	
}

void writeData2ToOctave(FILE* file, float time, float var1, float var2) {
	fprintf(file,"%f , %f , %f \n",time,var1,var2);

}

void writeData4ToOctave(FILE* file, float time, float var1, float var2, float var3, float var4) {
	fprintf(file,"%f , %f , %f , %f , %f\n",time,var1,var2,var3,var4);
}

void writeOctaveTail(FILE* file) {
	fprintf(file,"];\n");
	fprintf(file,"t  = A(:,1);\n");
	fprintf(file,"LF = A(:,2);\n");
	fprintf(file,"LH = A(:,3);\n");	
	fprintf(file,"RH = A(:,4);\n");	
    fprintf(file,"RF = A(:,5);\n");	
    
	fprintf(file,"figure(1)\n");
	fprintf(file,"plot(t,LF,t,LH,t,RH,t,RF);\n");
    
	fprintf(file,"figure(2)\n");
    
	fprintf(file,"subplot(4,1,1);\n");	
    fprintf(file,"plot(t,LF);\n");
	fprintf(file,"axis([0 inf -1.1 1.1]);   \n");
    fprintf(file,"ylabel('LF');\n");
	
    fprintf(file,"subplot(4,1,2);\n");	
    fprintf(file,"plot(t,LH);\n");
	fprintf(file,"axis([0 inf -1.1 1.1]);   \n");	
    fprintf(file,"ylabel('LH');\n");

    fprintf(file,"subplot(4,1,3);\n");	
    fprintf(file,"plot(t,RH);\n");
	fprintf(file,"axis([0 inf -1.1 1.1]);   \n");	
    fprintf(file,"ylabel('RH');\n");
	
    fprintf(file,"subplot(4,1,4);\n");	
    fprintf(file,"plot(t,RF);\n");
	fprintf(file,"axis([0 inf -1.1 1.1]);   \n");	
    fprintf(file,"ylabel('RF');\n");	
	
}